Bug 6770 - Catalanian first week day
Summary: Catalanian first week day
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: GNU C Library Locale Maintainers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-26 20:35 IST by Francesc Gordillo
Modified: 2014-07-04 05:48 IST (History)
4 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed: 2010-06-01 02:38:22
fweimer: security-


Attachments
Patch Fedora is using to fix ca_ES. (213 bytes, patch)
2012-04-05 02:36 IST, law
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Francesc Gordillo 2008-07-26 20:35:30 IST
The first day of Catalan locale (ca_ES) is Sunday, but it's wrong.

The first day of the week in Catalonia is Moonday.
Comment 1 Ulrich Drepper 2008-07-27 00:55:59 IST
You need to provide proof and get the original locale author to agree.
Comment 2 Robert Millan 2008-07-29 23:04:40 IST
Hi,

I'm not the author for ca_ES, but I'm the one who sent ca_FR, ca_AD and ca_IT. 
FWIW, I can confirm all of them start the week on monday.
Comment 3 Gil Forcada 2009-06-03 07:00:49 IST
I was about to enter a new bug regarding this.

Seems the first author is Joan Soler at uv dot es. I will try to contact him.
Comment 4 Gil Forcada 2009-06-03 11:18:29 IST
Note that both Debian and Ubuntu ship a modified version of this locale (ca_ES)
with this minor fix:

+%  FIXME: found in CLDR
+first_weekday 2
Comment 5 Serkan Kaba 2009-06-07 15:37:35 IST
Here are patches from Pardus fixing additional locales including Turkish
http://svn.pardus.org.tr/pardus/2009/devel/system/base/glibc/files/locale/
Comment 6 Petr Baudis 2009-06-07 16:59:13 IST
Please do not generalize this bug; if you want other locales fixed, you need to
create new one, attach a patch that you are sure is against the git HEAD, and
provide a rationale for your changes.
Comment 7 Jordi Mallach 2009-06-30 23:11:51 IST
I'll try to find a phone contact for Joan. If I get written permission from
Joan, would it be possible to change the maintainer to me, so future changes can
be reviewed by someone more involved in the Catalan i18n process?
Comment 8 Petr Baudis 2012-04-04 16:52:44 IST
Sorry for not replying to the last comment; I think what you describe is accepted as a general procedure so we could change the maintainer to you.
Comment 9 Jordi Mallach 2012-04-04 22:51:09 IST
Thanks Petr. I confirm I am very interested in proceeding with this; in fact I was about to ping this bug report in light of the latest developments in the glibc development community.

It was impossible to contact Joan by phone or email, despite my multiple tries, either directly or via 3rd parties.

Please asign me, Jordi Mallach <jordi@gnu.org>, as the maintainer for ca_ES.

Thanks,
Jordi
Comment 10 law 2012-04-05 02:36:16 IST
Created attachment 6316 [details]
Patch Fedora is using to fix ca_ES.
Comment 11 Jordi Mallach 2012-04-05 08:23:39 IST
For the record, patch looks good to me.
Comment 12 Andreas Jaeger 2012-04-05 09:09:57 IST
Info provided.
Comment 13 Petr Baudis 2012-04-05 09:49:02 IST
Thank you, I have changed the maintainer and committed the patch.